/**比较两个对象的 sort 属性*/
function compareSorts(a, b) {
    // 如果 sort 属性为 null，则将其视为无穷大
    if (!a.sort || !b.sort) {
        return 0; // 不参与排序
    }
    // 比较 sort 属性
    return a.sort - b.sort;
}

const sql_operator = {
    EQ: '=',
    NE: '!=',
    GT: '>',
    LT: '<',
    GTE: '>=',
    LTE: '<=',
    IN: 'IN',
    ON: 'ON',
    NOT: 'NOT',
    LIKE: 'LIKE',
    NL: 'NOT LIKE',
    NI: 'NOT IN',
    NAN: 'IS NULL',
    VAL: 'IS NOT NULL',
    BT: 'BETWEEN',
}

// 通过sys_data_acl获取数据的权限
function getAclData(dataId, level) {
    let userAccess = SQL.query(
        'system_sql',
        `SELECT 1 FROM sys_data_acl WHERE data_id =? AND level > ? AND delete_time IS NULL;`,
        dataId, level - 1
    )

    return userAccess.length != 0
}